import { Plugin } from 'vite';

declare type RegOptions = string | RegExp | (string | RegExp)[] | null | undefined;
interface Lib {
    libraryName: string;
    esModule?: boolean;
    resolveStyle: (name: string) => string;
    libraryNameChangeCase?: LibraryNameChangeCase;
}
interface VitePluginComponentImport {
    include?: RegOptions;
    exclude?: RegOptions;
    libs: Lib[];
}
declare type LibraryNameChangeCase = ChangeCaseType | ((name: string) => string);
declare type ChangeCaseType = 'camelCase' | 'capitalCase' | 'constantCase' | 'dotCase' | 'headerCase' | 'noCase' | 'paramCase' | 'pascalCase' | 'pathCase' | 'sentenceCase' | 'snakeCase';

declare const _default: (options: VitePluginComponentImport) => Plugin;

export default _default;
